package org.dromara.system.service;

import org.dromara.system.domain.TblCarDriveWarning;
import org.dromara.system.domain.vo.TblCarDriveWarningVo;
import org.dromara.system.domain.bo.TblCarDriveWarningBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 驾驶监管Service接口
 *
 * @author Lion Li
 * @date 2024-02-22
 */
public interface ITblCarDriveWarningService {

    /**
     * 查询驾驶监管
     */
    TblCarDriveWarningVo queryById(Long id);

    /**
     * 查询驾驶监管列表
     */
    TableDataInfo<TblCarDriveWarningVo> queryPageList(TblCarDriveWarningBo bo, PageQuery pageQuery);

    /**
     * 查询驾驶监管列表
     */
    List<TblCarDriveWarningVo> queryList(TblCarDriveWarningBo bo);

    /**
     * 新增驾驶监管
     */
    Boolean insertByBo(TblCarDriveWarningBo bo);

    /**
     * 修改驾驶监管
     */
    Boolean updateByBo(TblCarDriveWarningBo bo);

    /**
     * 校验并批量删除驾驶监管信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
